Subject: Re: bug#50493: Update go-build-system to use Go 1.17.

From: Leo Famulari <[email-masked]>
Date: Fri, 17 Dec 2021 17:09:01 -0500

On Wed, Dec 15, 2021 at 08:03:32PM +0200, Efraim Flashner wrote:
> I got pretty far commenting out binutils-gold and adding back in gcc:lib
> and the substitute snippets. Then I started failing tests requiring the
> linker, so it looks like I'll actually have to troubleshoot
> binutils-gold.
> 
> I thought about trying gccgo in place of go-1.4 for the bootstrap, but
> I'm pretty sure I'd still need binutils-gold.

Maybe, in the meantime, we could update go-build-system to use go-1.16,
which does at least build on aarch64. This Go release is still
supported, at least for a little while longer.

It would be nice to not be using Go 1.14 by default in the upcoming
release.

What do people think about that idea?